Subject: RE: [3/5] [NET]: Add software TSOv4

From: "Ravinandan Arakali" <[email-masked]>
Date: Fri, 23 Jun 2006 17:28:12 -0700

Neterion's Xframe adapter supports TSO over IPv6.

Ravi

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of David Miller
Sent: Thursday, June 22, 2006 2:32 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [3/5] [NET]: Add software TSOv4

From: YOSHIFUJI Hideaki <[email-masked]>
Date: Fri, 23 Jun 2006 00:04:03 +0900 (JST)

> In article <[email-masked]> (at Thu, 22 Jun
2006 18:14:00 +1000), Herbert Xu <[email-masked]> says:
>
> > [NET]: Add software TSOv4
> >
> > This patch adds the GSO implementation for IPv4 TCP.
> >
> > Signed-off-by: Herbert Xu <[email-masked]>
>
> I'd appreciate if you code up IPv6 TCP as well. :-)

To my understanding doing IPV6 TCP TSO is a non-trivial task, even in
software.

The header editing is a lot more complicated because things like
routing and other extension headers can sit between IPV6 and TCP
header.

It is probably why IPV6 TSO hardware does not exist yet :)

Do not take this to mean I think it should not be implemented, I think
it should.
-
To unsubscribe from this list: send the line "unsubscribe netdev" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html